/* reviews */
.review_video img, .review_video iframe{
    aspect-ratio: 9/16;
    object-fit: cover;
    width: 100%;
    height: auto;
    border: 0px;
  	border-radius: 8px;
}
.review_video{
    position: relative;
    overflow: hidden;
}
.bg_overlay{
    content: "";
    display: block;
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #00000090, transparent);
    border-radius: 8px;
}
.review_play{
    position: absolute;
    z-index: 3;
    background: var(--main);
    height: 64px;
    width: auto;
    aspect-ratio: 1;
    border-radius: 50%;
    backdrop-filter: blur(10px);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 4px;
}
.review_play::before{
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-top: 12px solid transparent;
    border-bottom: 12px solid transparent;
    border-left: 22px solid #f5f1ef;
}
.review_card_avatar{
    height: 48px;
    width: auto;
    aspect-ratio: 1;
    border-radius: 50%;
    border: 1px solid #fff;
    object-fit: cover;
    overflow: hidden;
}
.review_card_avatar img{
    width: 200%;
    height: auto;
    aspect-ratio: 1;
    object-fit: cover;
}
.revie_name{
    font-size: 20px;
    line-height: 1.2;
    color: #fff;
    font-weight: 500;
}
.review_card_text p{
    color: #fff;
}
.review_card{
    position: relative;
}
.review_card_text{
    position: absolute;
    bottom: 32px;
    left: 24px;
    z-index: 10;
}


/* why_our_website */
.why_our_website_text{
    width: 40%;
}
.img_manager{
    position: relative;
    width: 50%;
}
.img_manager img{
    position: absolute;
    top: auto;
    bottom: 0;
    left: 0;
}
.img_manager img.manager{
    position: relative;
    z-index: 2;
    width: auto;
    height: auto;
    aspect-ratio: inherit;
}

/* smart_choice */
.smart_choice_div{
    padding: 24px;
    background: var(--bg-light);
    border: 1px solid var(--border-light);
    border-radius: 8px;
    width: 30%;
    flex-grow: 1;
}
.smart_choice_row{
    width: 100%;
}

/* how_to_use */
.how_to_use_row{
    width: 100%;
}
.how_to_use_div{
    border-radius: 8px;
    background: var(--secondary-bg-light);
    width: 20%;
    flex-grow: 1;
    padding: 24px;
}

/* faq */
.toggle_faq{
    height: 24px;
    width: auto;
    aspect-ratio: 1;
    background: var(--main);
    border-radius: 3px;
    cursor: pointer;
}
.toggle_faq span{
    width: 10px;
    height: 2px;
    background: #fff;
    display: block;
    transform: translate(0, 1px);
}
.toggle_faq span:last-child{
    transform: translate(0, -1px) rotate(90deg);
}
.toggle_faq_active span:last-child {
    transform: translate(0, -1px) rotate(0deg);
}
.faq_questions_row{
    width: 50%;
}
.faq_header{
    width: 100%;
    background: var(--secondary-bg-light);
    padding: 24px 32px;
    border-radius: 8px;
}
.faq_header p{
    max-width: 80%;
}
.faq_div, .faq_row{
    width: 100%;
}
.faq_body{
    display: none;
    padding: 24px 32px;
    background: var(--bg-light);
}
.faq_body.active{
    display: block;
}

/* cheapest */
.cheapest_row{
    width: 100%;
}
.cheapest_row_toggle{
    width: 40%;
}
.cheapest_toggle{
    padding: 16px 24px;
    background: var(--bg-light);
    border: 1px solid var(--border-light);
    border-radius: 8px;
    width: 100%;
    cursor: pointer;
}
.cheapest_toggle_active, .cheapest_toggle:hover{
    background: var(--main);
    color: var(--title-text);
}
.cheapest_row_text{
    width: calc(60% - 16px);
    height: auto;
}
.cheapest_text_div{
    background: var(--bg-light);
    border: 1px solid var(--border-light);
    padding: 32px;
    border-radius: 8px;
    height: 100%;
    display: none;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    gap: 16px;
}
.cheapest_text_div.active{
    display: flex;
}

/* specialists */
.specialists_row{
    width: 100%;
}
.specialists_div{
    width: 20%;
    flex-grow: 1;
}
.specialists_div img{
    width: 100%;
    height: auto;
}
.specialists_div a{
    color: var(--main);
}

/* offer */
#offer .container{
    border-radius: 16px;
    position: relative;
    background: var(--main);
    padding: 20px 80px 0px 80px;
    overflow: hidden;
}
.offer_bg{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
    background-image: url('https://storage.perfectcdn.com/7sqnow/l6kur0bh409mgck7.svg');
    background-size: cover;
    background-position: center;
}
.offer_text{
    position: relative;
    z-index: 2;
    max-width: 580px;
}
.offer_text h2{
    color: var(--title-text);
}
.offer_text p{
    color: var(--text);
}

/* payments */
.swiper_payments{
    position: relative;
}
.swiper_payments .swiper-wrapper{
    transition-timing-function: linear !important;
}
.swiper_payments .swiper-slide img{
    filter: grayscale(1) brightness(0);
    height: 32px;
    width: auto;
    opacity: .7;
}
.swiper_payments .swiper-slide{
    padding: 24px;
    border: 1px solid var(--border-light);
    display: flex;
    align-items: center;
    justify-content: center;
}
.swiper_payments::before{
    position: absolute;
    content: "";
    display: block;
    left: 0;
    top: 0;
    height: 100%;
    width: 60px;
    background: linear-gradient(to right, var(--bg-light), transparent);
    z-index: 2;
}
.swiper_payments::after{
    position: absolute;
    content: "";
    display: block;
    right: 0;
    top: 0;
    height: 100%;
    width: 60px;
    background: linear-gradient(to left, var(--bg-light), transparent);
    z-index: 2;
}

/* footer */
footer{
    background: var(--secondary-bg-light);
    padding: 80px 0px 120px 0px;
    margin-top: 120px;
    border-top: 1px solid var(--border-light);
}
footer p, footer a{
    color: var(--title-text-light);
}
footer a:hover{
    color: var(--main);
}
footer p.big_size{
    color: var(--main);
}
.footer_div_href_list{
    max-width: 220px;
}
.footer_show_more{
    background: transparent;
    border: 0px;
    color: var(--main);
    font-weight: 400;
    text-decoration: underline;
}

/* text */
#text img{
    width: 40%;
}
.text_row_text{
    width: 50%;
}
.text_row_reverse{
    flex-direction: row-reverse;
}
#text p.medium{
    font-weight: 500;
}
#text a{
    color: var(--main);
}

/* services */
#main.main_gradient::after,
#main.main_gradient::before{
    display: none;
}
.services_table{
    padding: 24px;
    border-radius: 8px;
    background: var(--secondary-bg-light);
    width: 100%;
}
.btn_search{
    height: auto;
    width: auto;
    padding: 12px 16px;
    background: var(--main);
    border-radius: 4px;
  	aspect-ratio: 1;
}
.btn_search img{
    height: 18px;
}
.search_div{
    flex-grow: 1;
}
.search_div input{
    height: auto;
    border: 1px solid var(--border-light);
    border-radius: 4px;
    padding: 12px 16px;
    width: 490px;
}
.search_div input:focus, .search_div input:active{
    outline: none;
}
.search_div input::placeholder{
    color: var(--text-light);
    opacity: .6;
}
.nav-pills{
    display: flex;
    width: 100%;
    align-items: center;
    gap: 32px;
    justify-content: space-between;
}

/* page */
#page h1{
    margin-bottom: 24px;
}
#page a{
    color: var(--main);
}
#page h3{
    margin-top: 16px;
}

/* api */
.api{
    width: 100%;
    padding: 24px;
    border-radius: 8px;
	background: var(--secondary-bg-light);
}
.api table{
    width: 100%;
    border-collapse: collapse !important;
}
.api table td{
    padding: 8px 16px;
    border: 1px solid var(--border-light);
    color: var(--text-light);
}
.api table th{
    padding: 8px 16px;
    border: 1px solid var(--main);
    background: var(--main);
    text-align: left;
    color: #ffffff;
    font-weight: 400;
}
.api pre{
    background: #222222;
    border-radius: 4px;
    padding: 16px;
    color: var(--bg-light);
}
.api a{
    color: var(--main);
  	display: block;
}

/* ==== DARK THEME ==== */
html.dark-theme .bg_media{
    background-color: var(--light-main);
}
html.dark-theme .smart_choice_div,
html.dark-theme .how_to_use_div,
html.dark-theme .cheapest_text_div,
html.dark-theme .cheapest_toggle,
html.dark-theme footer{
    background-color: var(--bg);
    border: 1px solid var(--border);
}
html.dark-theme .cheapest_toggle.cheapest_toggle_active{
    background: var(--main);
    color: var(--title-text);
}
html.dark-theme .cheapest_toggle:hover{
    background: var(--main);
    color: var(--title-text);
}
html.dark-theme .how_to_use_div img{
    filter: grayscale(1) brightness(1000);
}
html.dark-theme .faq_header, html.dark-theme footer,
html.dark-theme .api{
    background: var(--secondary-bg);
}
html.dark-theme .faq_body, html.dark-theme .api pre{
    background-color: var(--bg);
}
html.dark-theme .swiper_payments .swiper-slide,
html.dark-theme .api table td{
    border: 1px solid var(--border);
}
html.dark-theme .swiper_payments::before{
    background: linear-gradient(to right, var(--bg), transparent);
}
html.dark-theme .swiper_payments::after{
    background: linear-gradient(to left, var(--bg), transparent);
}
html.dark-theme .swiper_payments .swiper-slide img{
    filter: grayscale(1) invert(1);
}
html.dark-theme .api table td{
    color: var(--text);
}